require_relative 'lib/fuelator/version'

Gem::Specification.new do |spec|
  spec.name    = "fuelator"
  spec.version = Fuelator::VERSION
  spec.authors = ["Sergii Brytiuk"]
  spec.email   = ["brytiuk076@gmail.com"]

  spec.summary     = %q{They do not trust Elon Musk any more}
  spec.description = %q{The goal of this application is to calculate fuel
to launch from one planet of the Solar system, and to land on another
planet of the Solar system, depending on the flight route}
  spec.homepage    = "https://github.com/645383/fuelator"
  spec.license     = "MIT"

  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"]    = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/645383/fuelator"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
